Skip to main content

2026-09-14 Workflows Definition API

  • Journey tasks can now have their journey prefilled by AI, through a new optional journey.ai_prefill field — available on the regular, ECP, and installer journey configuration of a task, accepted on POST/PUT /v1/workflows/definitions, POST /v2/flows/templates, and PUT /v2/flows/templates/{flowId}, and returned wherever workflow definitions and flow templates are read
  • Flow templates gained new optional stages for grouping their tasks into stages, portal_titles for the titles shown in the customer portal, stages[].portal_descriptions for the descriptions shown there, and edges[].end_type — accepted on POST /v2/flows/templates and PUT /v2/flows/templates/{flowId} and returned wherever flow templates are read
  • Journey tasks can now set the label shown on their portal button, through a new optional journey.portal_button_label field — available on the regular, ECP, and installer journey configuration of a task, accepted on POST/PUT /v1/workflows/definitions, POST /v2/flows/templates, and PUT /v2/flows/templates/{flowId}, and returned wherever workflow definitions and flow templates are read